Package org.eclipse.wst.xsl.core.internal.text.rules

## org.eclipse.wst.xsl.core.internal.text.rules
Class StructuredTextPartitionerForXSL

    public class StructuredTextPartitionerForXSL
    extends StructuredTextPartitionerForXML

Contains information specific to setting up Structured Document Partions in XSL documents.

## Constructor Summary

`StructuredTextPartitionerForXSL()`

## Method Summary

`public static java.lang.String[]` | `getConfiguredContentTypes()`
`public java.lang.String` | `getPartitionType(ITextRegion region , int offset)`
`public IDocumentPartitioner` | `newInstance()`

## Constructor Detail

## StructuredTextPartitionerForXSL

`public StructuredTextPartitionerForXSL()`

The StructuredTextPartitionerForXSL adds the necessary Partition types to help Identify potential XPath areas. This is also used for Line Styling and Content Assistance.

## Methods Detail

## getConfiguredContentTypes

`public java.lang.String[] getConfiguredContentTypes()`

### Returns

`java.lang.String[]`

## getPartitionType

`public java.lang.String getPartitionType(ITextRegion region , int offset)`

### Parameters

`region`

`offset`

### Returns

`java.lang.String`

## newInstance

`public IDocumentPartitioner newInstance()`

### Returns

`IDocumentPartitioner`